Subject: [lamps] I-D Action: draft-ietf-lamps-lightweight-cmp-profile-07.txt

From: [email-masked]
Date: Mon, 25 Oct 2021 06:59:38 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Lightweight Certificate Management Protocol (CMP) Profile
        Authors         : Hendrik Brockhaus
                          Steffen Fries
                          David von Oheimb
	Filename        : draft-ietf-lamps-lightweight-cmp-profile-07.txt
	Pages           : 96
	Date            : 2021-10-25

Abstract:
   This document aims at simple, interoperable, and automated PKI
   management operations covering typical use cases of industrial and
   IoT scenarios.  This is achieved by profiling the Certificate
   Management Protocol (CMP), the related Certificate Request Message
   Format (CRMF), and HTTP-based or CoAP-based transfer in a succinct
   but sufficiently detailed and self-contained way.  To make secure
   certificate management for simple scenarios and constrained devices
   as lightweight as possible, only the most crucial types of operations
   and options are specified as mandatory.  More special and complex use
   cases are supported as well, by features specified as recommended or
   optional.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-lightweight-cmp-profile/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-lightweight-cmp-profile-07.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-lightweight-cmp-profile-07

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Mon, 25 Oct 2021 14:11:06 +0000

Dear all

Some minutes ago I submitted an update of the Lightweight CMP Profile draft.

The update addresses the following topics:
   *  Added references to [draft-ietf-netconf-sztp-csr] in new
      Section 1.5 and Section 4.1.4
   *  Added reference to [I-D.ietf-anima-brski-async-enroll] in new
      Section 1.5 and Section 4.1.1
   *  Changed reference in Section 2 to [I-D.ietf-anima-brski-prm] as
      the PUSH use case is continued to be discussed in this draft after
      the split of BRSKI-AE
   *  Improved note regarding UNISIG Subset-137 in Section 1.6
   *  Removed "rootCaCert" in Section 3.1 and updated the structure of
      the genm request for root CA certificate updates in Section 4.3.2.
   *  Simplified handling of sender and recipient nonces in case of
      delayed delivery in Sections 3.1, 3.5, 4.4, and 5.1.2
   *  Changed the order of Sections 4.1.4 and 4.1.5
   *  Added reference on RFC 8933 regarding CMS signedAttrs to
      Section 4.1.6
   *  Added Section 4.3.4 on CRL update retrieval
   *  Generalized delayed enrollment to delayed delivery in Section 4.4
      and 5.1.2, updated the state machine in the introduction of
      Section 4
   *  Updated Section 6 regarding delayed message transfer
   *  Changed file name extension from ".PKI" to ".pki", deleted
      operational path for central key generation, and added an
      operational path for CRL update retrieval in Sections 6.1 and 6.2
   *  Shifted many security considerations to CMP Updates
   *  Replaced the term "transport" by "transfer" where appropriate to
      prevent confusion regarding TCP vs. HTTP and CoAP
   *  Various editorial changes and language corrections

As always, any feedback and comments are welcome.

Hendrik

> -----Ursprüngliche Nachricht-----
> Von: Spasm <[email-masked]> Im Auftrag von [email-masked]
> Gesendet: Montag, 25. Oktober 2021 16:00
> An: [email-masked]
> Cc: [email-masked]
> Betreff: [lamps] I-D Action: draft-ietf-lamps-lightweight-cmp-profile-07.txt
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrac
> ker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-lightweight-cmp-
> profile%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C8df
> 9a754b5ee4d25fbe508d997bfbda5%7C38ae3bcd95794fd4addab42e1495d55a%
> 7C1%7C0%7C637707672104174964%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiM
> C4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&a
> mp;sdata=qtvFB82sS7D5rWzBPPXRIl3ebmUSdZmxbXAaDbUUj3s%3D&amp;reser
> ved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Farchive%2Fid%2Fdraft-ietf-lamps-lightweight-cmp-profile-
> 07.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C8df9a
> 754b5ee4d25fbe508d997bfbda5%7C38ae3bcd95794fd4addab42e1495d55a%7C
> 1%7C0%7C637707672104174964%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4
> wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&am
> p;sdata=Y00elanvXhdaER5N8FsLRWeEtcaQYTlLmhnQ0jLFx0M%3D&amp;reserve
> d=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-lightweight-cmp-profile-
> 07&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C8df9a754b
> 5ee4d25fbe508d997bfbda5%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C637707672104174964%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLj
> AwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sd
> ata=Xl4SxFEVsmMfAtPf%2FhidWqz3Trj2dIneBrY7%2BOiZ4AA%3D&amp;reserved
> =0
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org
> %2Finternet-
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C8df
> 9a754b5ee4d25fbe508d997bfbda5%7C38ae3bcd95794fd4addab42e1495d55a%
> 7C1%7C0%7C637707672104174964%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiM
> C4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&a
> mp;sdata=o2o00ak%2BA0aNl%2BtWUZAbN3kTdxnjec0CmsVwxf1fImk%3D&am
> p;reserved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.brockha
> us%40siemens.com%7C8df9a754b5ee4d25fbe508d997bfbda5%7C38ae3bcd957
> 94fd4addab42e1495d55a%7C1%7C0%7C637707672104174964%7CUnknown%7
> CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJ
> XVCI6Mn0%3D%7C1000&amp;sdata=%2BhJvMOd8hj8uP2mDTW6x5BP%2BmUT
> %2FQbOhnEWRVIQppuo%3D&amp;reserved=0